summaryrefslogtreecommitdiffstats
path: root/win/tools/update_tdelibs_pro_files
diff options
context:
space:
mode:
Diffstat (limited to 'win/tools/update_tdelibs_pro_files')
-rwxr-xr-xwin/tools/update_tdelibs_pro_files30
1 files changed, 30 insertions, 0 deletions
diff --git a/win/tools/update_tdelibs_pro_files b/win/tools/update_tdelibs_pro_files
new file mode 100755
index 000000000..92125fec1
--- /dev/null
+++ b/win/tools/update_tdelibs_pro_files
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# Copies all used .pro (and a few shell) files from tdelibs/win/pro_files/ to tdelibs/
+# so they can be used to build tdelibs.
+# Note: only newer files are copied over older.
+# (c) 2005, Jaroslaw Staniek, js@iidea.pl
+
+.check_kde_env || exit 1
+
+src=win/pro_files
+dest=../..
+
+cd "$KDELIBS/$src"
+
+for pro in `find . -name \*.pro -o -name \*.sh` ; do
+ dir=`dirname "$pro"`
+ if [ ! -d "$KDELIBS/$dir" ] ; then
+ echo "no \$KDELIBS/$dir directory: creating it"
+ mkdir -p "$KDELIBS/$dir"
+ fi
+
+ if [ ! "$pro" -nt "$dest/$pro" ] ; then
+ true
+# echo "*SKIPPED* $pro is not newer than destination in $KDELIBS"
+ else
+ echo "UPDATING \$KDELIBS/$pro"
+ cp $pro $dest/$pro
+ fi
+done
+